searchData={"items":[{"type":"module","doc":"","title":"HexdocsMcp","ref":"HexdocsMcp.html"},{"type":"function","doc":"","title":"HexdocsMcp.generate_embeddings/4","ref":"HexdocsMcp.html#generate_embeddings/4"},{"type":"function","doc":"","title":"HexdocsMcp.search_embeddings/5","ref":"HexdocsMcp.html#search_embeddings/5"},{"type":"task","doc":"Fetches Hex docs for a package, converts HTML to markdown, creates semantic chunks, and generates embeddings by default.","title":"mix hex.docs.mcp","ref":"Mix.Tasks.Hex.Docs.Mcp.html"},{"type":"task","doc":"$ mix hex.docs.mcp COMMAND [options] PACKAGE [VERSION]\n\n* `COMMAND` - Either `fetch` or `search` (required)\n* `PACKAGE` - Hex package name to work with (required for fetch/search)\n* `VERSION` - Package version to work with (optional, defaults to latest)","title":"Usage - mix hex.docs.mcp","ref":"Mix.Tasks.Hex.Docs.Mcp.html#module-usage"},{"type":"task","doc":"--model MODEL    - Ollama model to use for embeddings (default: nomic-embed-text)\n    --query QUERY    - Query string for search command","title":"Options - mix hex.docs.mcp","ref":"Mix.Tasks.Hex.Docs.Mcp.html#module-options"},{"type":"task","doc":"$ mix hex.docs.mcp fetch phoenix              # Download, chunk docs and generate embeddings\n    $ mix hex.docs.mcp fetch --model all-minilm phoenix   # Use custom model for embeddings\n    $ mix hex.docs.mcp search --query \"channels\" phoenix  # Search in existing embeddings\n\nThe fetch command:\n1. Downloads docs using mix hex.docs\n2. Converts HTML to a single markdown file\n3. Chunks the markdown text for embedding in vector databases\n4. Generates embeddings using Ollama\n5. Automatically creates the database if it doesn't exist\n\nThe search command:\n1. Looks up existing embeddings for the specified package\n2. Performs a similarity search using the query\n3. Returns the most relevant results","title":"Examples - mix hex.docs.mcp","ref":"Mix.Tasks.Hex.Docs.Mcp.html#module-examples"},{"type":"function","doc":"","title":"Mix.Tasks.Hex.Docs.Mcp.run/1","ref":"Mix.Tasks.Hex.Docs.Mcp.html#run/1"},{"type":"module","doc":"Core functionality for Hex documentation processing via command line.","title":"HexdocsMcp.CLI","ref":"HexdocsMcp.CLI.html"},{"type":"function","doc":"Initialize the database and required tables.","title":"HexdocsMcp.CLI.init_database/0","ref":"HexdocsMcp.CLI.html#init_database/0"},{"type":"function","doc":"Process documentation for a package and optionally generate embeddings.","title":"HexdocsMcp.CLI.process_docs/3","ref":"HexdocsMcp.CLI.html#process_docs/3"},{"type":"function","doc":"Search for specific content in a package's documentation.","title":"HexdocsMcp.CLI.search/4","ref":"HexdocsMcp.CLI.html#search/4"},{"type":"module","doc":"Utilities for displaying progress indicators in command-line interfaces.","title":"HexdocsMcp.CLI.Progress","ref":"HexdocsMcp.CLI.Progress.html"},{"type":"function","doc":"Displays a progress bar for a given total count.\n\nReturns a function that should be called with the current count.","title":"HexdocsMcp.CLI.Progress.progress_bar/2","ref":"HexdocsMcp.CLI.Progress.html#progress_bar/2"},{"type":"function","doc":"progress = HexdocsMcp.CLI.Progress.progress_bar(\"Copying files\", 100)\n    Enum.each(1..100, fn i ->\n      :timer.sleep(50)  # Do some work\n      progress.(i)\n    end)","title":"Examples - HexdocsMcp.CLI.Progress.progress_bar/2","ref":"HexdocsMcp.CLI.Progress.html#progress_bar/2-examples"},{"type":"function","doc":"Displays a message, executes a function, and updates the message upon completion.","title":"HexdocsMcp.CLI.Progress.with_spinner/3","ref":"HexdocsMcp.CLI.Progress.html#with_spinner/3"},{"type":"function","doc":"* `:success_message` - Text appended after the original message on success (default: \"[✓]\")\n* `:failure_message` - Text appended after the original message on failure (default: \"[✗]\")","title":"Options - HexdocsMcp.CLI.Progress.with_spinner/3","ref":"HexdocsMcp.CLI.Progress.html#with_spinner/3-options"},{"type":"function","doc":"HexdocsMcp.CLI.Progress.with_spinner(\"Processing files\", fn ->\n      :timer.sleep(2000)\n      {:ok, \"Done!\"}\n    end)\n    # Output initially: Processing files...\n    # Output finally: Processing files [✓]\n\n    HexdocsMcp.CLI.Progress.with_spinner(\"Downloading\", fn ->\n      :timer.sleep(1000)\n      raise \"Network Error\"\n    end, failure_message: \"[Failed]\")\n    # Output initially: Downloading...\n    # Output finally: Downloading [Failed]","title":"Examples - HexdocsMcp.CLI.Progress.with_spinner/3","ref":"HexdocsMcp.CLI.Progress.html#with_spinner/3-examples"},{"type":"function","doc":"Creates a single-line workflow with animated spinner and checkmarks.\n\nReturns a tuple of two functions:\n- start_stage(stage_name) - Start a new stage with animated spinner\n- complete_workflow() - Complete the workflow with final checkmark","title":"HexdocsMcp.CLI.Progress.workflow/1","ref":"HexdocsMcp.CLI.Progress.html#workflow/1"},{"type":"function","doc":"{next_stage, complete} = HexdocsMcp.CLI.Progress.workflow([\"Fetching\", \"Converting\", \"Processing\"])\n    \n    next_stage.(\"Fetching\")\n    # do fetching work...\n    \n    next_stage.(\"Converting\")\n    # do conversion work...\n    \n    next_stage.(\"Processing\")\n    # do processing work...\n    \n    complete.()","title":"Example - HexdocsMcp.CLI.Progress.workflow/1","ref":"HexdocsMcp.CLI.Progress.html#workflow/1-example"},{"type":"module","doc":"","title":"HexdocsMcp.Config","ref":"HexdocsMcp.Config.html"},{"type":"function","doc":"","title":"HexdocsMcp.Config.data_path/0","ref":"HexdocsMcp.Config.html#data_path/0"},{"type":"function","doc":"","title":"HexdocsMcp.Config.database/0","ref":"HexdocsMcp.Config.html#database/0"},{"type":"function","doc":"","title":"HexdocsMcp.Config.default_embedding_model/0","ref":"HexdocsMcp.Config.html#default_embedding_model/0"},{"type":"module","doc":"Functions for generating embeddings from markdown chunks using Ollama.","title":"HexdocsMcp.Embeddings","ref":"HexdocsMcp.Embeddings.html"},{"type":"function","doc":"Generate embeddings for all chunks in a package and store them in SQLite.","title":"HexdocsMcp.Embeddings.generate/4","ref":"HexdocsMcp.Embeddings.html#generate/4"},{"type":"function","doc":"* `package` - The name of the package\n  * `version` - The version of the package or \"latest\"\n  * `model` - The Ollama model to use, \"nomic-embed-text\" is recommended\n  * `progress_callback` - (Optional) Function called with progress updates","title":"Parameters - HexdocsMcp.Embeddings.generate/4","ref":"HexdocsMcp.Embeddings.html#generate/4-parameters"},{"type":"function","doc":"* `{:ok, count}` - The number of embeddings generated","title":"Returns - HexdocsMcp.Embeddings.generate/4","ref":"HexdocsMcp.Embeddings.html#generate/4-returns"},{"type":"function","doc":"Search for similar text in embeddings using SQLite.","title":"HexdocsMcp.Embeddings.search/5","ref":"HexdocsMcp.Embeddings.html#search/5"},{"type":"function","doc":"* `query` - The search query\n  * `package` - The name of the package to search in\n  * `version` - The version of the package or \"latest\"\n  * `model` - The Ollama model to use, \"nomic-embed-text\" is recommended\n  * `top_k` - (Optional) Number of results to return, defaults to 3\n  * `progress_callback` - (Optional) Function called with progress updates","title":"Parameters - HexdocsMcp.Embeddings.search/5","ref":"HexdocsMcp.Embeddings.html#search/5-parameters"},{"type":"module","doc":"Schema for storing document embeddings using SQLiteVec.","title":"HexdocsMcp.Embeddings.Embedding","ref":"HexdocsMcp.Embeddings.Embedding.html"},{"type":"function","doc":"","title":"HexdocsMcp.Embeddings.Embedding.changeset/2","ref":"HexdocsMcp.Embeddings.Embedding.html#changeset/2"},{"type":"module","doc":"","title":"HexdocsMcp.Markdown","ref":"HexdocsMcp.Markdown.html"},{"type":"function","doc":"","title":"HexdocsMcp.Markdown.from_html/1","ref":"HexdocsMcp.Markdown.html#from_html/1"},{"type":"module","doc":"Shared migrations that can be used in regular migrations and tests.\n\nThis provides a consistent way to create database structure both during regular\nmigrations and in test environments.","title":"HexdocsMcp.Migrations","ref":"HexdocsMcp.Migrations.html"},{"type":"function","doc":"Creates the embeddings table.","title":"HexdocsMcp.Migrations.create_embeddings_table/1","ref":"HexdocsMcp.Migrations.html#create_embeddings_table/1"},{"type":"function","doc":"* `:prefix` - The prefix to run the migrations in","title":"Options - HexdocsMcp.Migrations.create_embeddings_table/1","ref":"HexdocsMcp.Migrations.html#create_embeddings_table/1-options"},{"type":"function","doc":"Drops the embeddings table.","title":"HexdocsMcp.Migrations.drop_embeddings_table/1","ref":"HexdocsMcp.Migrations.html#drop_embeddings_table/1"},{"type":"function","doc":"* `:prefix` - The prefix to run the migrations in","title":"Options - HexdocsMcp.Migrations.drop_embeddings_table/1","ref":"HexdocsMcp.Migrations.html#drop_embeddings_table/1-options"},{"type":"module","doc":"","title":"HexdocsMcp.Ollama","ref":"HexdocsMcp.Ollama.html"},{"type":"behaviour","doc":"","title":"HexdocsMcp.OllamaBehaviour","ref":"HexdocsMcp.OllamaBehaviour.html"},{"type":"callback","doc":"","title":"HexdocsMcp.OllamaBehaviour.embed/2","ref":"HexdocsMcp.OllamaBehaviour.html#c:embed/2"},{"type":"callback","doc":"","title":"HexdocsMcp.OllamaBehaviour.init/1","ref":"HexdocsMcp.OllamaBehaviour.html#c:init/1"},{"type":"module","doc":"","title":"HexdocsMcp.Repo","ref":"HexdocsMcp.Repo.html"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.aggregate/3","ref":"HexdocsMcp.Repo.html#aggregate/3"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.aggregate/4","ref":"HexdocsMcp.Repo.html#aggregate/4"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.all/2","ref":"HexdocsMcp.Repo.html#all/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.checked_out?/0","ref":"HexdocsMcp.Repo.html#checked_out?/0"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.checkout/2","ref":"HexdocsMcp.Repo.html#checkout/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.child_spec/1","ref":"HexdocsMcp.Repo.html#child_spec/1"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.config/0","ref":"HexdocsMcp.Repo.html#config/0"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.default_options/1","ref":"HexdocsMcp.Repo.html#default_options/1"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.delete/2","ref":"HexdocsMcp.Repo.html#delete/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.delete!/2","ref":"HexdocsMcp.Repo.html#delete!/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.delete_all/2","ref":"HexdocsMcp.Repo.html#delete_all/2"},{"type":"function","doc":"A convenience function for SQL-based repositories that forces all connections in the\npool to disconnect within the given interval.\n\nSee `Ecto.Adapters.SQL.disconnect_all/3` for more information.","title":"HexdocsMcp.Repo.disconnect_all/2","ref":"HexdocsMcp.Repo.html#disconnect_all/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.exists?/2","ref":"HexdocsMcp.Repo.html#exists?/2"},{"type":"function","doc":"A convenience function for SQL-based repositories that executes an EXPLAIN statement or similar\ndepending on the adapter to obtain statistics for the given query.\n\nSee `Ecto.Adapters.SQL.explain/4` for more information.","title":"HexdocsMcp.Repo.explain/3","ref":"HexdocsMcp.Repo.html#explain/3"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.get/3","ref":"HexdocsMcp.Repo.html#get/3"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.get!/3","ref":"HexdocsMcp.Repo.html#get!/3"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.get_by/3","ref":"HexdocsMcp.Repo.html#get_by/3"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.get_by!/3","ref":"HexdocsMcp.Repo.html#get_by!/3"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.get_dynamic_repo/0","ref":"HexdocsMcp.Repo.html#get_dynamic_repo/0"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.in_transaction?/0","ref":"HexdocsMcp.Repo.html#in_transaction?/0"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.insert/2","ref":"HexdocsMcp.Repo.html#insert/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.insert!/2","ref":"HexdocsMcp.Repo.html#insert!/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.insert_all/3","ref":"HexdocsMcp.Repo.html#insert_all/3"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.insert_or_update/2","ref":"HexdocsMcp.Repo.html#insert_or_update/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.insert_or_update!/2","ref":"HexdocsMcp.Repo.html#insert_or_update!/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.load/2","ref":"HexdocsMcp.Repo.html#load/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.one/2","ref":"HexdocsMcp.Repo.html#one/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.one!/2","ref":"HexdocsMcp.Repo.html#one!/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.preload/3","ref":"HexdocsMcp.Repo.html#preload/3"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.prepare_query/3","ref":"HexdocsMcp.Repo.html#prepare_query/3"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.put_dynamic_repo/1","ref":"HexdocsMcp.Repo.html#put_dynamic_repo/1"},{"type":"function","doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query/4` for more information.","title":"HexdocsMcp.Repo.query/3","ref":"HexdocsMcp.Repo.html#query/3"},{"type":"function","doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query!/4` for more information.","title":"HexdocsMcp.Repo.query!/3","ref":"HexdocsMcp.Repo.html#query!/3"},{"type":"function","doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many/4` for more information.","title":"HexdocsMcp.Repo.query_many/3","ref":"HexdocsMcp.Repo.html#query_many/3"},{"type":"function","doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many!/4` for more information.","title":"HexdocsMcp.Repo.query_many!/3","ref":"HexdocsMcp.Repo.html#query_many!/3"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.reload/2","ref":"HexdocsMcp.Repo.html#reload/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.reload!/2","ref":"HexdocsMcp.Repo.html#reload!/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.rollback/1","ref":"HexdocsMcp.Repo.html#rollback/1"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.start_link/1","ref":"HexdocsMcp.Repo.html#start_link/1"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.stop/1","ref":"HexdocsMcp.Repo.html#stop/1"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.stream/2","ref":"HexdocsMcp.Repo.html#stream/2"},{"type":"function","doc":"A convenience function for SQL-based repositories that translates the given query to SQL.\n\nSee `Ecto.Adapters.SQL.to_sql/3` for more information.","title":"HexdocsMcp.Repo.to_sql/2","ref":"HexdocsMcp.Repo.html#to_sql/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.transaction/2","ref":"HexdocsMcp.Repo.html#transaction/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.update/2","ref":"HexdocsMcp.Repo.html#update/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.update!/2","ref":"HexdocsMcp.Repo.html#update!/2"},{"type":"function","doc":"","title":"HexdocsMcp.Repo.update_all/3","ref":"HexdocsMcp.Repo.html#update_all/3"},{"type":"extras","doc":"# HexDocs MCP\n\nHexDocs MCP is a project that provides semantic search capabilities for Hex package documentation, designed specifically for AI applications. It consists of two main components:\n\n1. An Elixir package that downloads, processes, and generates embeddings from Hex package documentation\n2. A TypeScript server implementing the Model Context Protocol (MCP) that provides a searchable interface to the embeddings","title":"HexDocs MCP","ref":"readme.html"},{"type":"extras","doc":"","title":"Installation - HexDocs MCP","ref":"readme.html#installation"},{"type":"extras","doc":"```elixir\n{:hexdocs_mcp, \"~> 0.1.1\", only: :dev, runtime: false}\n```\n\nAnd if you use floki or any other dependencies that are marked as only available in\nanother environment, update them to be available in the `:dev` environment as well.\n\nFor example floki is commonly used in `:test`:\n\n```elixir\n{:floki, \">= 0.30.0\", only: :test}\n```\n\nBut you can update it to be available in the :dev environment:\n\n```elixir\n{:floki, \">= 0.30.0\", only: [:dev, :test]}\n```","title":"Elixir Package - HexDocs MCP","ref":"readme.html#elixir-package"},{"type":"extras","doc":"The TypeScript MCP server implements the [Model Context Protocol (MCP)](https://modelcontextprotocol.io) and is designed to be used by MCP-compatible clients such as Cursor, Claude Desktop App, Continue, and others. The server provides tools for semantic search of Hex documentation. For a complete list of MCP-compatible clients, see the [MCP Clients documentation](https://modelcontextprotocol.io/clients).\n\nAdd this to your client's MCP json config:\n\n```json\n{\n  \"mcpServers\": {\n    \"hexdocs-mcp\": {\n      \"command\": \"npx\",\n      \"args\": [\n        \"-y\",\n        \"hexdocs-mcp\"\n      ]\n    }\n  }\n}\n```","title":"MCP Client Configuration - HexDocs MCP","ref":"readme.html#mcp-client-configuration"},{"type":"extras","doc":"- [Ollama](https://ollama.ai) - Required for generating embeddings\n  - Run `ollama pull nomic-embed-text` to download the recommended embedding model\n  - Ensure Ollama is running before using the embedding features\n- Elixir 1.16+\n- Node.js 22 or later (for the MCP server)","title":"Requirements - HexDocs MCP","ref":"readme.html#requirements"},{"type":"extras","doc":"By default, the `mix hex.docs.mcp fetch` command stores all data in `~/.hexdocs_mcp` in the user's home directory. You can change this location by setting the `HEXDOCS_MCP_PATH` environment variable:\n\n```bash\n# Example: Set custom storage location\nexport HEXDOCS_MCP_PATH=/path/to/custom/directory\n```\n\nThis is also configurable in the MCP configuration for the server:\n\n```json\n{\n  \"mcpServers\": {\n    \"hexdocs-mcp\": {\n      \"command\": \"...\",\n      \"args\": [\n        \"...\"\n      ],\n      \"env\": {\n        \"HEXDOCS_MCP_PATH\": \"/path/to/custom/directory\"\n      }\n    }\n  }\n}\n```","title":"Configuration - HexDocs MCP","ref":"readme.html#configuration"},{"type":"extras","doc":"","title":"Usage - HexDocs MCP","ref":"readme.html#usage"},{"type":"extras","doc":"The SQLite database for vector storage and retrieval is created automatically when needed.\n\nFetch documentation, process, and generate embeddings for a package:\n\n```bash\nmix hex.docs.mcp fetch phoenix\n```\n\nFetch documentation for a specific version:\n\n```bash\nmix hex.docs.mcp fetch phoenix 1.5.9\n```\n\nUse a specific embedding model when fetching:\n\n```bash\nmix hex.docs.mcp fetch --model all-minilm phoenix\n```\n\nSearch in the existing embeddings:\n\n```bash\nmix hex.docs.mcp search --query \"channels\" phoenix\n```","title":"Elixir Package - HexDocs MCP","ref":"readme.html#elixir-package"},{"type":"extras","doc":"When you need documentation for a specific package you don't have already, you can have the AI run the `mix hex.docs.mcp fetch` command for you.","title":"Pro Tip - HexDocs MCP","ref":"readme.html#pro-tip"},{"type":"extras","doc":"- [hex2text](https://github.com/mjrusso/hex2txt) - For the initial idea and as a reference","title":"Acknowledgements - HexDocs MCP","ref":"readme.html#acknowledgements"},{"type":"extras","doc":"This project uses [mise](https://mise.jdx.dev/) (formerly rtx) to manage development tools and tasks. Mise provides consistent tool versions and task automation across the project.","title":"Development - HexDocs MCP","ref":"readme.html#development"},{"type":"extras","doc":"1. Install mise (if you don't have it already):\n   ```bash\n   # macOS with Homebrew\n   brew install mise\n   \n   # Using the installer script\n   curl https://mise.run | sh\n   ```\n\n2. Clone the repository and setup the development environment:\n   ```bash\n   git clone https://github.com/bradleygolden/hexdocs-mcp.git\n   cd hexdocs-mcp\n   mise install # Installs the right versions of Elixir and Node.js\n   ```\n\n3. Setup dependencies:\n   ```bash\n   mise build\n   ```","title":"Setting Up Development Environment - HexDocs MCP","ref":"readme.html#setting-up-development-environment"},{"type":"extras","doc":"Mise defines several useful development tasks:\n\n- `mise build` - Build both Elixir and TypeScript components\n- `mise test` - Run all tests\n- `mise mcp_inspect` - Start the MCP inspector for testing the server\n- `mise start_mcp_server` - Start the MCP server (primarily for debugging)","title":"Development Tasks - HexDocs MCP","ref":"readme.html#development-tasks"},{"type":"extras","doc":"If you prefer not to use mise, you'll need:\n\n- Elixir 1.18.x\n- Node.js 22.x\n\nThen, you can run these commands directly:\n\n```bash\n# Instead of mise run setup_elixir\nmix setup\n\n# Instead of mise run setup_ts\nnpm install\n\n# Instead of mise run build\nmix compile --no-optional-deps --warnings-as-errors\nnpm run build\n\n# Instead of mise run test\nmix test\nmix format --check-formatted\nmix deps --check-unused\nmix deps.unlock --all\nmix deps.get\nmix test\n\n# Instead of mise run mcp_inspect\nMCP_INSPECTOR=true npx @modelcontextprotocol/inspector node dist/index.js\n```","title":"Without Mise - HexDocs MCP","ref":"readme.html#without-mise"},{"type":"extras","doc":"This project includes custom instructions for AI assistants to help optimize your workflow when working with Hex documentation.","title":"AI Assistant Integration - HexDocs MCP","ref":"readme.html#ai-assistant-integration"},{"type":"extras","doc":"You can find sample custom instructions in the repository:\n- [Cursor rules](.cursor/rules/hexdocs-mcp.mdc) - Custom rules for Cursor editor\n- [GitHub Copilot](.github/copilot/instructions.md) - Custom instructions for GitHub Copilot","title":"Example Custom Instructions - HexDocs MCP","ref":"readme.html#example-custom-instructions"},{"type":"extras","doc":"```\nWhen working with Elixir projects that use Hex packages:","title":"Suggested Content - HexDocs MCP","ref":"readme.html#suggested-content"},{"type":"extras","doc":"1. Use `vector_search` to find relevant documentation\n2. For packages not in the database, fetch them with:\n   - `mix hex.docs.mcp fetch PACKAGE`\n   - For specific versions: `mix hex.docs.mcp fetch PACKAGE [VERSION]`","title":"HexDocs MCP Workflow - HexDocs MCP","ref":"readme.html#hexdocs-mcp-workflow"},{"type":"extras","doc":"- Requires Ollama running with nomic-embed-text model pulled\n- Default data location: `~/.hexdocs_mcp` (configurable via HEXDOCS_MCP_PATH)\n- The SQLite database is created automatically when needed\n```","title":"Environment Setup - HexDocs MCP","ref":"readme.html#environment-setup"},{"type":"extras","doc":"Contributions are welcome! Please feel free to submit a Pull Request. For major changes, please open an issue first to discuss what you would like to change.\n\nThis project is licensed under MIT - see the [LICENSE](https://github.com/bradleygolden/hexdocs-mcp/blob/main/LICENSE) file for details.","title":"Contributing - HexDocs MCP","ref":"readme.html#contributing"},{"type":"extras","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n## [0.1.2]","title":"Changelog","ref":"changelog.html"},{"type":"extras","doc":"- Simplified installation process - now installable via npx\n- Updated MCP server response format to match latest MCP standard","title":"Changed - Changelog","ref":"changelog.html#changed"},{"type":"extras","doc":"- Removed `list_packages` tool from MCP server\n\n## [0.1.1] - 2024-04-04","title":"Removed - Changelog","ref":"changelog.html#removed"},{"type":"extras","doc":"- Published NPM package to align version with Hex package\n\n## [0.1.0] - 2024-04-03\n\nInitial release of HexDocs MCP, providing semantic search capabilities for Hex package documentation.","title":"Changed - Changelog","ref":"changelog.html#changed"},{"type":"extras","doc":"#### Elixir Package\n- `mix hex.docs.mcp fetch` command to:\n  - Download Hex package documentation\n  - Convert HTML docs to consolidated markdown\n  - Create semantic text chunks\n  - Generate embeddings using Ollama\n  - Automatically initialize SQLite database with vector search capabilities when needed\n- `mix hex.docs.mcp search` command for semantic search in embeddings\n- Support for custom embedding models via `--model` flag\n- Configurable data storage location via `HEXDOCS_MCP_PATH` environment variable\n\n#### TypeScript MCP Server\n- Model Context Protocol (MCP) server implementation\n- Integration with MCP-compatible clients (Cursor, Claude Desktop App, etc.)\n- Vector similarity search using SQLite database\n- Automatic database initialization on startup","title":"Added - Changelog","ref":"changelog.html#added"},{"type":"extras","doc":"- Requires Elixir 1.16 or later\n- Requires Node.js 22 or later\n- Requires Ollama for embedding generation\n  - Default model: `nomic-embed-text`\n  - Support for alternative models like `all-minilm`\n\n[Unreleased]: https://github.com/bradleygolden/hexdocs-mcp/compare/v0.1.2...HEAD\n[0.1.2]: https://github.com/bradleygolden/hexdocs-mcp/releases/tag/v0.1.2\n[0.1.1]: https://github.com/bradleygolden/hexdocs-mcp/releases/tag/v0.1.1\n[0.1.0]: https://github.com/bradleygolden/hexdocs-mcp/releases/tag/0.1.0","title":"Dependencies - Changelog","ref":"changelog.html#dependencies"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}